Arch SchließeLöcher

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch CloseHoles and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Arch CloseHoles.svg Arch SchließeLöcher

Menüeintrag
Arch → Dienstprogramme → Schließt Löcher
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch Überprüfung

Beschreibung

Dieses Werkzeug identifiziert Löcher (ringförmige Folge von offenen Kanten) in einem Formteil-Objekt und versucht, sie durch hinzufügen einer Fläche zu schließen, die aus der Folge von Kanten erstellt wird. Du musst dich aber noch selbst davon überzeugen, dass das Ergebnis ein Volumenkörper ist.

Anwendung

  1. Wähle ein Form-Objekt.
  2. Drücke den Arch CloseHoles.svg Löcher schließen-Eintrag in Arch → Dienstprogramme → Schließe Löcher.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Dieses Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

solid = closeHole(shape)
  • Schließt ein Loch in einer Form, welches ein Part.Shape ist und gibt das neue solid Objekt zurück.

Beispiel:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)